# Abstract Types Abstract Types ## Creates a new abstract type record that does not already exist. - [POST /abstractTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/createabstracttype.md): This method will auto-generate an ID and create a new abstract type. If an ID is specified for the abstract type, an error will be thrown. ## Execute Batch Operations - [POST /abstractTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /abstractTypes/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/listtypesbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified review_process_id - [GET /abstractTypes/{tenantId}/reviewProcess/{review_process_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/listtypesbyreviewprocessid.md): Returns a list of records with the specified review_process_id ## Returns a abstract type from the system by its ID. - [DELETE /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/deleteabstracttype.md): This method will delete a abstract type with the specified ID. ## Returns a abstract type from the system by its ID. - [GET /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/getabstracttype.md): This method will look up a abstract type by the specified ID and return it back. ## Partially updates a abstract type with the specified ID. - [PATCH /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/patchabstracttype.md): This method will patch an existing abstract type with the specified ID, using the HTTP PATCH specification. ## Updates a abstract type with the specified ID. - [PUT /abstractTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-types/updateabstracttype.md): This method will update an existing abstract type with the specified ID.